{% extends 'Admin/admin.html.twig' %}

{% block extraTitle %} - Gestion des Mondes{% endblock %}

{% set languageIcons = {
    'french': asset('img/flags/fr.png'),
    'english': asset('img/flags/en.png'),
    'spanish': asset('img/flags/es.png'),
    'german': asset('img/flags/de.png')
} %}

{% set speedTypes = [
    'Blitz',
    'Quick',
    'Regular',
    'Slow'
] %}

{% block adminContent %}
    <div class="scrollable border">
        <table id="adminTable">
            <thead>
            <tr>
                <th>ID</th>
                <th>Nom du monde</th>
                <th>Carte</th>
                <th>Langue</th>
                <th>Vitesse</th>
                <th>Slots</th>
                <th>Date de création</th>
                <th>Actions</th>
            </tr>
            </thead>
            <tbody>
            {% for world in worlds %}
                <tr>
                    <td>{{ world.id }}</td>
                    <td><a href="/map/{{ world.id }}">{{ world.name }}</a></td>
                    <td>{{ world.data.mapFileName }}</td>
                    <td>{{ world.language }} <img src="{{ languageIcons[world.language] }}" alt="Language {{ world.language }}"/></td>
                    <td>{{ speedTypes[world.speed] }}</td>
                    <td>{{ world.lordsCount }} / {{ world.maxPlayersCount }}</td>
                    <td>{{ world.createdAt | date(null, 'Europe/Paris') }}</td>
                    <td>
                        {#
                        <a href="#" onmouseover="showHintMsg(this, 'Voir les joueurs')" onmouseout="hideHint()"><img src="{{ asset('img/icons/a_ally.png') }}"></a>
                        <a href="#" onmouseover="showHintMsg(this, 'Voir les généraux')" onmouseout="hideHint()"><img src="{{ asset('img/icons/a_movegen.png') }}"></a>
                        #}
                        <a href="{{ path('adminWorldNodes', {'worldId': world.id}) }}" onmouseover="showHintMsg(this, 'Inspecter le monde')" onmouseout="hideHint()"><img src="{{ asset('img/icons/a_admin.png') }}"></a>
                        <a href="{{ path('adminBattles', {'worldId': world.id}) }}" onmouseover="showHintMsg(this, 'Voir les batailles')" onmouseout="hideHint()"><img src="{{ asset('img/icons/a_battle.png') }}"></a>
                        {#
                        <a href="#" onmouseover="showHintMsg(this, 'Statistiques')" onmouseout="hideHint()"><img src="{{ asset('img/icons/a_pant.png') }}"></a>
                        #}
                    </td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>
{% endblock %}